Summary:        A simple, correct PEP 517 build frontend
Name:           python-build
Version:        0.8.0
Release:        4%{?dist}
License:        MIT
URL:            https://pypa-build.readthedocs.io
Source0:        https://github.com/pypa/build/archive/%{version}/build-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel, python3-rpm-macros, pyproject-rpm-macros, python3-pep517, python3-wheel, python3-pip
# for tests
BuildRequires:  python3-pytest, python3-filelock, python3-pytest-mock, python3-flaky, python3-toml, python3-wheel, python3-flit-core, python3-setuptools, python3-packaging
Requires:       python3, python3-packaging, python3-pep517, python3-toml, python3-packaging

%description
build will invoke the PEP 517 hooks to build a distribution package. It is a 
simple build tool and does not perform any dependency management.

%package -n     python3-build
Summary:        A simple, correct PEP 517 build frontend

%description -n python3-build
build will invoke the PEP 517 hooks to build a distribution package. It is a 
simple build tool and does not perform any dependency management.



%prep
%autosetup -p1 -n build-%{version}



%build
%pyproject_wheel



%install
%pyproject_install



%check
SETUPTOOLS_WHEEL=$(find . -name "*.whl")
PRE_BUILT_SETUPTOOLS_WHEEL=${SETUPTOOLS_WHEEL} PYTHONPATH="./src" \
%pytest -k "not (test_build_package or \
                 test_build_package_via_sdist or \
                 test_output[via-sdist-no-isolation] or \
                 test_output[via-sdist-isolation] or \
                 test_output[sdist-direct-no-isolation] or \
                 test_output[wheel-direct-isolation] or \
                 test_output[wheel-direct-no-isolation] or \
                 test_output[sdist-and-wheel-direct-no-isolation] or \
                 test_wheel_metadata[True] or \
                 test_wheel_metadata_isolation or \
                 test_with_get_requires or \
                 test_build_sdist or \
                 test_projectbuilder or \
                 test_build_wheel[from_sdist] or \
                 test_build_wheel[direct])"



%files -n python3-build
%license LICENSE
%doc README.md
%{_bindir}/pyproject-build
%{python3_sitelib}/



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.8.0-3
- Rebuilt for OpenCloudOS Stream 23

* Tue Feb 21 2023 cunshunxia <cunshunxia@tencent.com> - 0.8.0-2
- remove testpath requirement.

* Tue Aug 23 2022 Zhao Zhen <jeremiazhao@tencent.com> - 0.8.0-1
- Initial building.
